[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMParentFontChanged

Handles a CM_PARENTFONTCHANGED message for the control.

## Declaration

Source position: controls.pp line 1450

`protected procedure TControl.CMParentFontChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMParentFontChanged ensures that the Font from the Parent control is applied to the class instance when the message is received. It applies the PixelsPerInch setting in the Parent font (which is not included in object persistence) to the Font in the control.

No actions are performed in the method if ParentFont is set to False, or when the Parent property has not been assigned.

Remark: | The current LCL version calls the ParentFontChanged method prior to exit. It has an empty implementation, and is maintained only for compatibility with older versions of the LCL. The work is actually performed in this method.

## See also

TControl.Font |  | The font to be used for text display in this control.
TControl.ParentFont |  | Indicates if the Font from the Parent control is used in the control.
TControl.Parent |  | The control within which the control is shown.
TControl.ParentFOntChanged |  | [Delphi compatible] Does nothing here, all work is done in CMParentFontChanged.
TFont.PixelsPerInch |  | Display density for the font.